%define LNG it
Summary: Italian manual pages
Name:    man-pages-%LNG
Version: 3.64
Release: %mkrel 4
License: GPL
URL:     ftp://ftp.pluto.it/pub/pluto/ildp/man/
Source:  ftp://ftp.pluto.it/pub/pluto/ildp/man/%{name}-%{version}.tar.xz
Group:   System/Internationalization
BuildRequires: man
Requires: locales-%LNG, man
Autoreq: false
BuildArch: noarch
Obsoletes: man-%LNG, manpages-%LNG
Provides:  man-%LNG, manpages-%LNG

%description 
Italian translations of Linux manual pages: this package includes not
only those from the LDP, but also translations of other popular
man-pages.

BEWARE: some pages are dated!


%prep
%setup -q

%build
# (tv) fix install path:
perl -pi -e 's!$!/it! if /^MANDIR=/' Makefile 

%install
make install prefix=%{buildroot}%{_prefix}

# these are provided by vim7:
rm -f %{buildroot}/%{_mandir}/%LNG/man1/{view.,rview.,vim}*


%postun
# 0 means deleting the package
if [ "$1" = "0" ]; then
   ## Force removing of /var/catman/%LNG, if there isn't any man page
   ## directory /%{_mandir}/%LNG
   if [ ! -d %{_mandir}/%LNG ] ; then
       /bin/rm -rf /var/catman/%LNG
   fi
fi

%files
%defattr(0644,root,man,755)
%doc CHANGELOG README
%attr(0755,root,root) %dir %{_mandir}/%LNG
%attr(0755,root,root) %dir %{_mandir}/%LNG/man*
%{_mandir}/%LNG/man*/*


%changelog
* Mon Nov 09 2015 tv <tv> 3.64-4.mga6
+ Revision: 900264
- drop support for makewhatis now that we use mandb

* Wed Oct 15 2014 umeabot <umeabot> 3.64-3.mga5
+ Revision: 741378
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.64-2.mga5
+ Revision: 682152
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 tv <tv> 3.64-1.mga5
+ Revision: 673089
- fix install path
- remove old extra tarball
- adjust file list
- drop patch
- new release

* Sat Oct 19 2013 umeabot <umeabot> 2.80-7.mga4
+ Revision: 522696
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 luigiwalser <luigiwalser> 2.80-6.mga3
+ Revision: 405264
- fix ownership of man directories to not conflict with other packages (mga#9055)

* Sat Jan 12 2013 umeabot <umeabot> 2.80-5.mga3
+ Revision: 359386
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 11 2011 ahmad <ahmad> 2.80-4.mga1
+ Revision: 5901
- drop old conflicts
- drop old man versionated requires, just 'man' is enough now
- imported package man-pages-it

